Bug 384941 - When installing from Live CD, swap should be deactivated
When installing from Live CD, swap should be deactivated
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-15 11:27 EST by Panayotis Vryonis
Modified: 2014-07-10 10:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-03 10:43:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Panayotis Vryonis 2007-11-15 11:27:40 EST
Description of problem:
If you boot a F8 Gnome Live CD and you already have a HD with a Linux swap
partition it will be used for swap space. However, if you try to install F8 to
disk using the Gnome Desktop app, and allow the installer to automaticaly
partition the disk, partitioning will fail (due to the fact that one of the
partitions are in use for swap)

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Kevin Kofler 2007-11-15 11:45:26 EST
Reassigning to the proper component (Anaconda), also removing "GNOME" from the 
subject and CCing the KDE live CD maintainer as I don't think this is any 
different in the KDE live CD.
Comment 2 Jeremy Katz 2007-11-15 19:41:38 EST
The swap should be deactivated when the live installer starts (see the call to
swapoff in /usr/sbin/liveinst)

Can you attach the traceback you received?
Comment 3 Jeremy Katz 2008-04-03 10:43:11 EDT
Closing due to inactivity.  Please reopen if you have further information to add
to this report.
Comment 4 Anthony Name 2014-07-10 05:09:31 EDT
This bug still exists but has not been well described.

If I boot a LiveCD and have the intention of then installing from the LiveCD to the local hard disk I am presented with the option to manually change or setup my disk partitions.  Including using standard partitions rather then LVM.

If however I already have existing standard disk partitions on one of the hard disks in the system and that disk has a swap file configured the Live CD will 'grab' that swap file and actively use it.

This can cause a conflict if the installing user does either....

1.  Tells the installer to reformat the swap file, as the reformat conflicts with the active LiveCD usage of same.....resulting in a crash.

2.  Tries to modify the existing swap files size or characteristics as the file is 'locked out' from change.  (Setup a swap file on an empty 2nd hard drive, boot a LiveCD and manually try to make changes to the existing swap file.....you won't be able to but won't be told why).

The fix would be to tell LiveCD to turn swapoff on all devices when the anaconda installer starts.

I have tested this in current Rawhide and also Fed20, although I've only tested on x86_64 I suspect it's not architecture dependent.
Comment 5 David Shea 2014-07-10 10:25:21 EDT
If you have an existing swap partition, anaconda will not overwrite it unless requested. If you choose to reformat a swap partition, it will be turned off before reformatting. You cannot reuse a swap partition without formatting.

Being unable to reuse a swap partition without formatting is a point of some contention, covered in bug 892659. I don't see a bug in any of the rest of the behavior I described. If you are experiencing a crash, then please, as was requested 6 and a half years ago (!!), please attach the traceback from /tmp/anaconda-tb*, and reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.